Cantera 2.6.0

Public Member Functions | List of all members
PDSS_Molar Class Reference

Base class for PDSS classes which compute molar properties directly. More...

`#include <PDSS.h>`

Inheritance diagram for PDSS_Molar:
[legend]
Collaboration diagram for PDSS_Molar:
[legend]

## Public Member Functions
virtual doublereal | enthalpy_RT () const
| Return the standard state molar enthalpy divided by RT. More...
virtual doublereal | entropy_R () const
| Return the standard state entropy divided by RT. More...
virtual doublereal | gibbs_RT () const
| Return the molar Gibbs free energy divided by RT. More...
virtual doublereal | cp_R () const
| Return the molar const pressure heat capacity divided by RT. More...
Public Member Functions inherited from PDSS
virtual void | setTemperature (doublereal temp)
| Set the internal temperature. More...
virtual doublereal | temperature () const
| Return the current stored temperature. More...
virtual void | setState_TP (doublereal temp, doublereal pres)
| Set the internal temperature and pressure. More...
virtual void | setState_TR (doublereal temp, doublereal rho)
| Set the internal temperature and density. More...
virtual doublereal | critTemperature () const
| critical temperature More...
virtual doublereal | critPressure () const
| critical pressure More...
virtual doublereal | critDensity () const
| critical density More...
virtual doublereal | satPressure (doublereal T)
| saturation pressure More...
doublereal | molecularWeight () const
| Return the molecular weight of the species in units of kg kmol-1. More...
void | setMolecularWeight (doublereal mw)
| Set the molecular weight of the species. More...
| PDSS ()
| Default Constructor. More...
| PDSS (const PDSS &b)=delete
PDSS & | operator= (const PDSS &b)=delete
virtual | ~PDSS ()
virtual doublereal | enthalpy_mole () const
| Return the molar enthalpy in units of J kmol-1. More...
virtual doublereal | intEnergy_mole () const
| Return the molar internal Energy in units of J kmol-1. More...
virtual doublereal | entropy_mole () const
| Return the molar entropy in units of J kmol-1 K-1. More...
virtual doublereal | gibbs_mole () const
| Return the molar Gibbs free energy in units of J kmol-1. More...
virtual doublereal | cp_mole () const
| Return the molar const pressure heat capacity in units of J kmol-1 K-1. More...
virtual doublereal | cv_mole () const
| Return the molar const volume heat capacity in units of J kmol-1 K-1. More...
virtual doublereal | molarVolume () const
| Return the molar volume at standard state. More...
virtual doublereal | density () const
| Return the standard state density at standard state. More...
virtual doublereal | enthalpyDelp_mole () const
| Get the difference in the standard state enthalpy between the current pressure and the reference pressure, p0. More...
virtual doublereal | entropyDelp_mole () const
| Get the difference in the standard state entropy between the current pressure and the reference pressure, p0. More...
virtual doublereal | gibbsDelp_mole () const
| Get the difference in the standard state Gibbs free energy between the current pressure and the reference pressure, p0. More...
virtual doublereal | cpDelp_mole () const
| Get the difference in standard state heat capacity between the current pressure and the reference pressure, p0. More...
doublereal | refPressure () const
| Return the reference pressure for this phase. More...
doublereal | minTemp () const
| return the minimum temperature More...
doublereal | maxTemp () const
| return the minimum temperature More...
virtual doublereal | gibbs_RT_ref () const
| Return the molar Gibbs free energy divided by RT at reference pressure. More...
virtual doublereal | enthalpy_RT_ref () const
| Return the molar enthalpy divided by RT at reference pressure. More...
virtual doublereal | entropy_R_ref () const
| Return the molar entropy divided by R at reference pressure. More...
virtual doublereal | cp_R_ref () const
| Return the molar heat capacity divided by R at reference pressure. More...
virtual doublereal | molarVolume_ref () const
| Return the molar volume at reference pressure. More...
virtual doublereal | pressure () const
| Returns the pressure (Pa) More...
virtual void | setPressure (doublereal pres)
| Sets the pressure in the object. More...
virtual doublereal | thermalExpansionCoeff () const
| Return the volumetric thermal expansion coefficient. Units: 1/K. More...
void | setReferenceThermo (shared_ptr< SpeciesThermoInterpType > stit)
| Set the SpeciesThermoInterpType object used to calculate reference state properties. More...
virtual void | setParent (VPStandardStateTP *phase, size_t k)
| Set the parent VPStandardStateTP object of this PDSS object. More...
virtual void | initThermo ()
| Initialization routine. More...
void | setParameters (const AnyMap &node)
| Set model parameters from an AnyMap phase description, for example from the `equation-of-state` field of a species definition. More...
virtual void | getParameters (AnyMap &eosNode) const
| Store the parameters needed to reconstruct a copy of this PDSS object. More...
virtual void | setParametersFromXML (const XML_Node &speciesNode)
| Initialization routine for the PDSS object based on the speciesNode. More...
virtual void | reportParams (size_t &kindex, int &type, doublereal *const c, doublereal &minTemp, doublereal &maxTemp, doublereal &refPressure) const
| This utility function reports back the type of parameterization and all of the parameters for the species, index. More...

## Additional Inherited Members
Protected Attributes inherited from PDSS
doublereal | m_temp
| Current temperature used by the PDSS object. More...
doublereal | m_pres
| State of the system - pressure. More...
doublereal | m_p0
| Reference state pressure of the species. More...
doublereal | m_minTemp
| Minimum temperature. More...
doublereal | m_maxTemp
| Maximum temperature. More...
doublereal | m_mw
| Molecular Weight of the species. More...
AnyMap | m_input
| Input data supplied via setParameters. More...
shared_ptr< SpeciesThermoInterpType > | m_spthermo
| Pointer to the species thermodynamic property manager. More...

## Detailed Description

Base class for PDSS classes which compute molar properties directly.

Definition at line 482 of file PDSS.h.

## Member Function Documentation

## ◆ enthalpy_RT()

doublereal enthalpy_RT | ( |  | ) | const
| virtual

Return the standard state molar enthalpy divided by RT.

Returns
  The dimensionless species standard state enthalpy divided at the current temperature and pressure.

Reimplemented from PDSS.

Definition at line 211 of file PDSS.cpp.

References PDSS::enthalpy_mole(), Cantera::GasConstant, and PDSS::temperature().

Referenced by PDSS_HKFT::enthalpy_RT_ref(), and PDSS_HKFT::intEnergy_mole().

## ◆ entropy_R()

doublereal entropy_R | ( |  | ) | const
| virtual

Return the standard state entropy divided by RT.

Returns
  The species standard state entropy divided by RT at the current temperature and pressure.

Reimplemented from PDSS.

Definition at line 216 of file PDSS.cpp.

References PDSS::entropy_mole(), and Cantera::GasConstant.

Referenced by PDSS_HKFT::entropy_R_ref().

## ◆ gibbs_RT()

doublereal gibbs_RT | ( |  | ) | const
| virtual

Return the molar Gibbs free energy divided by RT.

Returns
  The species standard state Gibbs free energy divided by RT at the current temperature and pressure.

Reimplemented from PDSS.

Definition at line 221 of file PDSS.cpp.

References Cantera::GasConstant, PDSS::gibbs_mole(), and PDSS::temperature().

Referenced by PDSS_HKFT::gibbs_RT_ref().

## ◆ cp_R()

doublereal cp_R | ( |  | ) | const
| virtual

Return the molar const pressure heat capacity divided by RT.

Returns
  The species standard state Cp divided by RT at the current temperature and pressure.

Reimplemented from PDSS.

Definition at line 226 of file PDSS.cpp.

References PDSS::cp_mole(), and Cantera::GasConstant.

Referenced by PDSS_HKFT::cp_R_ref().

The documentation for this class was generated from the following files:

- PDSS.h
- PDSS.cpp